Trimble Connect LoadError: 127: The specified procedure could not be found. (openssl.so)

2016

#1

I just installed sketchup 2016, this message appears to me every time I open the program, how can I correct the problem?


Error in SU 2016
#2

Can you copy and paste the full error message please? The full content of error messages are important and key in determining exactly what is going on.


#3

DONE

Error: #<LoadError: 127: Impossibile trovare la procedura specificata.   -
C:/Program Files/SketchUp/SketchUp
2016/Tools/RubyStdLib/platform_specific/openssl.so>
C:/Program Files/SketchUp/SketchUp
2016/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files/SketchUp/SketchUp
2016/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/openssl.rb:17:in
`<top (required)>'
C:/Program Files/SketchUp/SketchUp
2016/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files/SketchUp/SketchUp
2016/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/net/https.rb:22:in
`<top (required)>'
C:/Program Files/SketchUp/SketchUp
2016/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files/SketchUp/SketchUp
2016/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
c:/users/igor/appdata/roaming/sketchup/sketchup
2016/sketchup/plugins/su_trimble_connect/main.rbs:63:in
`<module:TrimbleConnect>'
c:/users/igor/appdata/roaming/sketchup/sketchup
2016/sketchup/plugins/su_trimble_connect/main.rbs:15:in `<main>'
C:/Users/igor/AppData/Roaming/SketchUp/SketchUp
2016/SketchUp/Plugins/su_trimble_connect/loader.rb:20:in `eval'
C:/Users/igor/AppData/Roaming/SketchUp/SketchUp
2016/SketchUp/Plugins/su_trimble_connect/loader.rb:20:in `require'
C:/Users/igor/AppData/Roaming/SketchUp/SketchUp
2016/SketchUp/Plugins/su_trimble_connect/loader.rb:20:in
`<module:TrimbleConnect>'
C:/Users/igor/AppData/Roaming/SketchUp/SketchUp
2016/SketchUp/Plugins/su_trimble_connect/loader.rb:8:in `<top (required)>'
C:/Program Files/SketchUp/SketchUp 2016/Tools/extensions.rb:197:in `require'
C:/Program Files/SketchUp/SketchUp 2016/Tools/extensions.rb:197:in `load'
C:/Users/igor/AppData/Roaming/SketchUp/SketchUp
2016/SketchUp/Plugins/su_trimble_connect.rb:36:in `register_extension'
C:/Users/igor/AppData/Roaming/SketchUp/SketchUp
2016/SketchUp/Plugins/su_trimble_connect.rb:36:in `<module:TrimbleConnect>'
C:/Users/igor/AppData/Roaming/SketchUp/SketchUp
2016/SketchUp/Plugins/su_trimble_connect.rb:8:in `<module:Trimble>'
C:/Users/igor/AppData/Roaming/SketchUp/SketchUp
2016/SketchUp/Plugins/su_trimble_connect.rb:7:in `<top (required)>'

#4

Huh! That error indicate problems loading Ruby’s OpenSSL library. Never seen anyone experience that error before.

What version of Windows do you run?
Are you 32bit or 64bit?

Does the Trimble Connect extension work in SU2015 for you?
(You’d have to install it from Extension Warehouse as it didn’t ship with SU2015.)

@bugra - any idea? Have you heard of this error before?


#5

Can you check if you can find either of these DLLs inside C:\Windows\System32

libeay32.dll
ssleay32.dll

?


#6

I tried but I could not, in the 2015 version


#7

Sorry I am confused by this answer. Are you seeing this issue in SketchUp 2015 also?


#8

Dispiace per il mio pessimo inglese, io uso GOOGLE TRADUTTORE.

Mi ricordo Che ho Caricato “TRIMBLE CONNECT PLUGIN” ON VERSIONE 2015, non
ha funzionato, Così ho Rimosso,


#10

Launching my SU Pro 2106 32-bit on Win 7 Pro 32-bit results in the same Ruby LoadError: 127.

Licensed Pro versions beginning w/SU 4 have been installed and used w/o problem.

I verified that both DLLs referenced above are present in Windows\System32.

I have a text copy of the error message which, at first glance, appears to be exactly the same as the one posted by igorpaltrinieri.

Assistance with resolving this is appreciated.

Thanks


#11

Consider me #2 with the same Error: #<LoadError: 127: issue described at the beginning of this thread.

Environment: Win7 Pro 32-bit. SU advocate and user since SU 4. SU Pro 8, Pro 2014, and Pro 2015 all installed and run w/o issue.

This error happened immediately after installation. Used Control Panel/Programs/Repair utility w/o effect.

DLLs referenced above are intact in C:\Windows\System32.

Any assistance in producing a remedy is appreciated!

Thanks.


#12

On closer inspection, a comparison between the list of errors shown within the initial post reveals a difference. The list of errors that display at 2016 Pro launch is provided immediately below.

Error: #<LoadError: 127: The specified procedure could not be found.   -
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/platform_specific/openssl.so>
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/openssl.rb:17:in `<top (required)>'
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/net/https.rb:22:in `<top (required)>'
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
c:/users/jock/appdata/roaming/sketchup/sketchup 2016/sketchup/plugins/su_trimble_connect/main.rbs:63:in `<module:TrimbleConnect>'
c:/users/jock/appdata/roaming/sketchup/sketchup 2016/sketchup/plugins/su_trimble_connect/main.rbs:15:in `<main>'
C:/Users/Jock/AppData/Roaming/SketchUp/SketchUp 2016/SketchUp/Plugins/su_trimble_connect/loader.rb:20:in `eval'
C:/Users/Jock/AppData/Roaming/SketchUp/SketchUp 2016/SketchUp/Plugins/su_trimble_connect/loader.rb:20:in `require'
C:/Users/Jock/AppData/Roaming/SketchUp/SketchUp 2016/SketchUp/Plugins/su_trimble_connect/loader.rb:20:in `<module:TrimbleConnect>'
C:/Users/Jock/AppData/Roaming/SketchUp/SketchUp 2016/SketchUp/Plugins/su_trimble_connect/loader.rb:8:in `<top (required)>'
C:/Program Files/SketchUp/SketchUp 2016/Tools/extensions.rb:197:in `require'
C:/Program Files/SketchUp/SketchUp 2016/Tools/extensions.rb:197:in `load'
C:/Users/Jock/AppData/Roaming/SketchUp/SketchUp 2016/SketchUp/Plugins/su_trimble_connect.rb:36:in `register_extension'
C:/Users/Jock/AppData/Roaming/SketchUp/SketchUp 2016/SketchUp/Plugins/su_trimble_connect.rb:36:in `<module:TrimbleConnect>'
C:/Users/Jock/AppData/Roaming/SketchUp/SketchUp 2016/SketchUp/Plugins/su_trimble_connect.rb:8:in `<module:Trimble>'
C:/Users/Jock/AppData/Roaming/SketchUp/SketchUp 2016/SketchUp/Plugins/su_trimble_connect.rb:7:in `<top (required)>'

#13

disable Trimble Connect in Preferences >> Extensions and restart SU…

do you still get load errors?

john


#14

I deleted the files (Trimble) as a screenshot, but every time I turn
SketchUp files appear again.
for now I have not done anything else


#15

Several ‘su_’ extensions are included in the ‘ShippedExtensions’ subfolder in the main SketchUp folder.
These are copied into the user’s Plugins folder as SketchUp starts - if they are not already there.
That’s why it reappears after you’ve deleted it.
But at least that way you will have an up to date version copied over.

I suspect that you have copied many plugins over from an earlier SketchUp version’s Plugins folder ?
Always install the latest available version.
Authors are even now trying to get their extensions’ RBZs signed, and some other behind the scene adjustments, to get them to be compatible with all ‘security-policies’ in v2016…

Moving an ‘su_…’ RB file out of the ‘ShippedExtensions’ folder AND your ‘Plugins’ folder will stop that load error.
However, it does not address the underlying issue…
Are you sure you have installed the correct SketchUp for your OS ?
The RB/RBS files etc work across OSs, but if there are incompatible .so/.dll files this might cause load errors.
A 32bit PC needs 32bit compatible files, and a 64bit PC needs 64bit compatible files…
You could look at reinstalling after double checking the correct bit-ness of the installer…


#16

John,

That fixed the Load Error condition. By doing this, are any features or
functions associated with the Trimble Connect extension that are disabled
as a result of making it extension inactive?

Thanks,

Jock


#17

If you use Trimble Connect, then it won’t work, until it’s updated or the issue is found…

It may be looking for an internet connection, are you online when you see the errors?

john


#18

Internet connection: Yes. I just checked the last two SU Pro versions still
installed on the same system with 2016, 2015 and Pro Ver. 8, none of which
had the Trimble Connect listed as an available extension, so it seems that
I’ve never had use of it previously, telling that I won’t miss what I don’t
have!.

I’m good to go for now.

Thanks for the initial solution and the follow-up.

Until next time,

Jock


#19

I removed the plugin “Trimble connected” from “'Shipped Extensions’
subfolder”, is now all right, thanks.


#20

As the others in this thread I’ve the same error. I differ in that I do not have ssleay32.dll on this machine. I am running the current dl of SU 2016 version 16.0.19911 32-bit in Win7 Pro. I can easily make the suggested change but would prefer to acquire the missing or corrected files. Would appreciate any help on this. As a long time developer (since 75’) error screens drive me crazy with the compulsive need to correct the situation :slight_smile: !


#21

Trimble Connect was updated to version 1.1.1 on 23 FEB 2016.

In SketchUp go thru menu: Window > Extension Warehouse

Navigate to the SketchUp Team page, and choose Trimble Connect. Click the red Install or Update button.